# .gitlab-ci.yml
image: nikolaik/python-nodejs:python3.6-nodejs8

# define pipeline stages
stages:
  # - test
  - deploy

# install build tools
before_script:
  - yarn install


# test_unit:
#   stage: test
#   script: |
#     if test -f requirements.txt; then
#         pip install -r requirements.txt
#     fi
#     python -m pytest --ignore=functions/


deploy_production:
  stage: deploy
  # only build when updates are made to "master" branch
  only:
    - master
  # tag deploy to an environment for tracking
  environment:
    name: production
  script:
    - pip3 install awscli --upgrade --user
    - echo REACT_APP_WEBSOCKET_ENDPOINT="$(/root/.local/bin/aws cloudformation describe-stacks --stack-name stop-deer-python-api-prod --query "Stacks[0].Outputs[?OutputKey=='ServiceEndpointWebsocket'].OutputValue" --output text)" > .env
    - echo REACT_APP_API_KEY="${GOOGLE_API_KEY}" >> .env
    - echo CI_STAGE=prod >> .env
    - echo REACT_APP_GA_KEY=${GA_KEY} >> .env
    - curl https://api.telegram.org/bot${BOT_TOKEN}/getMe -o bot_data.json
    - echo REACT_APP_BOT_NAME=$(cat bot_data.json | python -c "import json,sys;obj=json.load(sys.stdin);print (obj['result']['username']);") >> .env
    - cat .env
    - yarn run build-deploy-env
  # save build artifacts for publishing
  artifacts:
    paths:
      - build

  
